{ pkgs ? import <nixpkgs> {} }:

pkgs.callPackage ./derivation.nix {
  extraCmakeFlags = [
    "-DGINKGO_BUILD_SHARED_LIBS=OFF"
    "-DGINKGO_BUILD_TESTING=OFF"
    "-DGINKGO_BUILD_TESTS=OFF"
    "-DGINKGO_BUILD_MPI=OFF"
    "-DGINKGO_BUILD_REFERENCE=OFF"
    "-DGINKGO_BUILD_CUDA=OFF"
    "-DGINKGO_BUILD_BENCHMARKS=OFF"
    "-DGINKGO_BUILD_EXAMPLES=OFF"
    "-DGINKGO_BUILD_HWLOC=OFF"
    "-DGINKGO_BUILD_DOC=ON"
  ];
}
