{ ... }:
let
  pkgs = (import <nixpkgs>{
    config = {
      allowUnfree = true;
    };
  });
in
{
  ginkgo-project = {
    ginkgo = {
      reference = pkgs.callPackage ./derivation.nix {
      };
      cuda = pkgs.callPackage ./derivation.nix {
        cudaSupport = true;
      };
      hip = pkgs.callPackage ./derivation.nix {
        cppCompiler = pkgs.llvmPackages_rocm.clang;
        hipSupport = true;
      };
      omp = pkgs.callPackage ./derivation.nix {
        cppCompiler = pkgs.gcc12;
        ompSupport = true;
      };
    };
  };
}
